Subject: [Netconf] Shepherd's review of draft-ietf-netconf-call-home-09

From: Mahesh Jethanandani <[email-masked]>
Date: Wed, 5 Aug 2015 22:07:49 -0700

Hi Kent,

I have completed the shepherd review of the NETCONF Call Home and RESTCONF Call Home draft. I believe the document is well written and is easy to read.

(1) What type of RFC is being requested (BCP, Proposed Standard,
Internet Standard, Informational, Experimental, or Historic)?  Why
is this the proper type of RFC?  Is this type of RFC indicated in the
title page header?

This document is intended to be a Standards document, and it indicates it as such in the document.

(2) The IESG approval announcement includes a Document Announcement
Write-Up. Please provide such a Document Announcement Write-Up. Recent
examples can be found in the "Action" announcements for approved
documents. The approval announcement contains the following sections:

Technical Summary

This RFC presents NETCONF Call Home and RESTCONF Call Home, which enable a NETCONF or RESTCONF server to initiate a secure connection to a NETCONF or RESTCONF client respectively.

Working Group Summary

This document is a result of a split between this document and the server configuration data model which is its own draft. With the split most of the complexity in configuration has moved to the server model draft.

There were 10 issues that were opened and closed on the draft. At this point there are no open issues.

Document Quality

This document was extensively reviewed and comments were provided both in IETF meetings and on the mailing list. Perhaps the most important discussion and which resulted in the split, is the discussion around hostname keys and SSH and TLS configuration. Both Tom Petch and Juergen gave extensive comments on the draft.

Personnel

The document shepherd is Mahesh Jethanandani. The responsible AD will be Benoit Claise.

(3) Briefly describe the review of this document that was performed by
the Document Shepherd.  If this version of the document is not ready
for publication, please explain why the document is being forwarded to
the IESG.

The Document Shepherd have followed the progression of the document through the WG, and has reviewed the document. At this time the document has addressed all the outstanding comments in the latest draft version.

(4) Does the document Shepherd have any concerns about the depth or
breadth of the reviews that have been performed?

The document shepherds does not have any concerns about the amount of review the document has received. It has been reviewed by several parties.

(5) Do portions of the document need review from a particular or from
broader perspective, e.g., security, operational complexity, AAA, DNS,
DHCP, XML, or internationalization? If so, describe the review that
took place.

The document does not need review from any additional parties.

(6) Describe any specific concerns or issues that the Document Shepherd
has with this document that the Responsible Area Director and/or the
IESG should be aware of? For example, perhaps he or she is uncomfortable
with certain parts of the document, or has concerns whether there really
is a need for it. In any event, if the WG has discussed those issues and
has indicated that it still wishes to advance the document, detail those
concerns here.

No, the Document Shepherds do not have any specific concerns.

(7) Has each author confirmed that any and all appropriate IPR
disclosures required for full conformance with the provisions of BCP 78
and BCP 79 have already been filed. If not, explain why.

Yes, the author has confirmed one IPR related to the draft.

(8) Has an IPR disclosure been filed that references this document?
If so, summarize any WG discussion and conclusion regarding the IPR
disclosures.

An IPR disclosure is documented under 
https://datatracker.ietf.org/ipr/2445/
 and it has been published on the WG mailing list. There were no discussions as a result of the disclosure of the IPR.

(9) How solid is the WG consensus behind this document? Does it 
represent the strong concurrence of a few individuals, with others
being silent, or does the WG as a whole understand and agree with it?   

There is strong consensus from a diverse set of individuals, who have voiced support for the document.

(10) Has anyone threatened an appeal or otherwise indicated extreme 
discontent? If so, please summarize the areas of conflict in separate
email messages to the Responsible Area Director. (It should be in a
separate email because this questionnaire is publicly available.) 

No.

(11) Identify any ID nits the Document Shepherd has found in this
document. (See 
http://www.ietf.org/tools/idnits/
 and the Internet-Drafts
Checklist). Boilerplate checks are not enough; this check needs to be
thorough.

No Indnits revealed in this document. 

(12) Describe how the document meets any required formal review
criteria, such as the MIB Doctor, media type, and URI type reviews.

No formal review criteria encountered.

(13) Have all references within this document been identified as
either normative or informative?

Yes.

(14) Are there normative references to documents that are not ready for
advancement or are otherwise in an unclear state? If such normative
references exist, what is the plan for their completion?

No.

(15) Are there downward normative references references (see RFC 3967)?
If so, list these downward references to support the Area Director in 
the Last Call procedure. 

No.

(16) Will publication of this document change the status of any
existing RFCs? Are those RFCs listed on the title page header, listed
in the abstract, and discussed in the introduction? If the RFCs are not
listed in the Abstract and Introduction, explain why, and point to the
part of the document where the relationship of this document to the
other RFCs is discussed. If this information is not in the document,
explain why the WG considers it unnecessary.

No.

(17) Describe the Document Shepherd's review of the IANA considerations
section, especially with regard to its consistency with the body of the
document. Confirm that all protocol extensions that the document makes
are associated with the appropriate reservations in IANA registries.
Confirm that any referenced IANA registries have been clearly
identified. Confirm that newly created IANA registries include a
detailed specification of the initial contents for the registry, that
allocations procedures for future registrations are defined, and a
reasonable name for the new registry has been suggested (see RFC 5226).

The IANA considerations section details the changes that would be required as a result of this draft requesting three TCP port numbers in the “Registered Port Numbers” of IANA registry entry. The request follows the template rules identified in RFC 6335.

(18) List any new IANA registries that require Expert Review for future
allocations. Provide any public guidance that the IESG would find
useful in selecting the IANA Experts for these new registries.

The IANA registry needs to review the request for three new TCP ports, one for SSH over NETCONF and two for NETCONF and RESTCONF over TLS. There was some discussion in the WG over whether there was anyway to combine the port requests and reduce the number of port requests.

(19) Describe reviews and automated checks performed by the Document
Shepherd to validate sections of the document written in a formal
language, such as XML code, BNF rules, MIB definitions, etc.

None.

Mahesh Jethanandani
[email-masked]

---

From: Mahesh Jethanandani <[email-masked]>
Date: Fri, 7 Aug 2015 09:00:30 -0700

[Correcting one of the e-mail addresses and adding a few more]

Hi Kent,

Technical Summary

Working Group Summary

Document Quality

Personnel

An IPR disclosure is documented under 
https://datatracker.ietf.org/ipr/2445/ <https://datatracker.ietf.org/ipr/2445/>
 and it has been published on the WG mailing list. There were no discussions as a result of the disclosure of the IPR.

No.

Yes.

No.

No.

No.

None.

Mahesh Jethanandani
[email-masked]